Get Creatives
/unified/ads/creatives/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The unique identifier for the creative.
1 supported
The unique identifier for the account.
1 supported
The applink treatment for the creative.
automaticdeeplink_with_appstore_fallbackdeeplink_with_web_fallbackweb_only
1 supported
The authorization category for the creative.
nonepolitical
1 supported
The body for the creative.
1 supported
The call to action type for the creative.
open_linklike_pageshop_nowplay_gameinstall_appuse_appcallcall_mevideo_callinstall_mobile_appuse_mobile_appmobile_downloadbook_travellisten_musicwatch_videolearn_moresign_updownloadwatch_moreno_buttonvisit_pages_feedapply_nowcall_nowcontactbuy_nowget_offerget_offer_viewbuy_ticketsupdate_appget_directionsbuysend_updatesmessage_pagedonatesubscribesay_thankssell_nowsharedonate_nowget_quotecontact_usorder_nowadd_to_cartstart_ordervideo_annotationrecord_nowinquire_nowconfirmrefer_friendsrequest_timeget_showtimeslisten_nowwoodhenge_supportsotto_subscribefollow_userraise_moneyevent_rsvpwhatsapp_messagefollow_news_storylinesee_morebook_nowfind_a_groupfind_your_groupspay_to_accesspurchase_gift_cardsfollow_pagesend_a_giftswipe_up_shopswipe_up_productsend_gift_moneyplay_game_on_facebookget_startedopen_instant_appaudio_callget_promotions+ 63 more
1 supported
The date and time the creative was created.
The image crops for the creative.
1 supported
The image hash for the creative.
1 supported
The image URL for the creative.
1 supported
The interactive components for the creative.
1 supported
The labels for the creative.
1 supported
The unique identifier for the label.
The name of the label.
The name of the creative.
1 supported
The properties for the creative.
1 supported
The unique identifier for the property.
The type for the property.
The URL for the property.
Raw data returned from the remote API call.
The spec for the creative.
1 supported
The status of the creative.
activedeletedin_processwith_issues
1 supported
The date and time the creative was last updated.
The URLs for the creative.
1 supported
The unique identifier for the URL.
The type for the URL.
The URL for the URL.
curl -X GET 'https://api.truto.one/unified/ads/creatives/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/ads/creatives/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/ads/creatives/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.get(
'ads',
'creatives',
'<resource_id>',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.get(
"ads",
"creatives",
"<resource_id>",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())